## org.apache.batik.ext.awt.image.renderable
Interface FilterResRable

All Superinterfaces:
  Filter, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  FilterResRable8Bit

    public interface FilterResRable

extends Filter

Interface for implementing filter resolution.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`int` `getFilterResolutionX()` Returns the resolution along the X axis.
`int` `getFilterResolutionY()` Returns the resolution along the Y axis.
`Filter` `getSource()` Returns the source to be cropped.
`void` `setFilterResolutionX(int filterResolutionX)` Sets the resolution along the X axis, i.e., the maximum size for intermediate images along that axis.
`void` `setFilterResolutionY(int filterResolutionY)` Sets the resolution along the Y axis, i.e., the maximum size for intermediate images along that axis.
`void` `setSource(Filter src)` Sets the source to be cropped

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getSource

    Filter getSource()

  Returns the source to be cropped.

### setSource

    void setSource(Filter src)

  Sets the source to be cropped

  Parameters:
    `src` - image to offset.

### getFilterResolutionX

    int getFilterResolutionX()

  Returns the resolution along the X axis.

### setFilterResolutionX

    void setFilterResolutionX(int filterResolutionX)

  Sets the resolution along the X axis, i.e., the maximum size for intermediate images along that axis. The value should be greater than zero to have an effect.

### getFilterResolutionY

    int getFilterResolutionY()

  Returns the resolution along the Y axis.

### setFilterResolutionY

    void setFilterResolutionY(int filterResolutionY)

  Sets the resolution along the Y axis, i.e., the maximum size for intermediate images along that axis. The value should be greater than zero to have an effect.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.